Summary: A gesture-recognition application for X11
Name: easystroke
Version: 0.5.5.1
Release: %mkrel 2
Group: Accessibility
License: ISC
Url: http://easystroke.sourceforge.net/
Source0: http://downloads.sourceforge.net/easystroke/%{name}-%{version}.tar.gz
BuildRequires: pkgconfig(gtkmm-2.4)
BuildRequires: pkgconfig(dbus-glib-1)
BuildRequires: boost-devel
BuildRequires: libx11-devel
BuildRequires: libxext-devel
BuildRequires: libxi-devel
BuildRequires: libxfixes-devel
BuildRequires: libxtst-devel
BuildRequires: x11-server-devel
BuildRequires: intltool
BuildRequires: help2man

%description
Easystroke is a gesture-recognition application for X11. Gestures or 
strokes are movements that you make with you mouse (or your pen, 
finger etc.) while holding down a specific mouse button. Easystroke 
will execute certain actions if it recognizes the stroke; currently 
easystroke can emulate key presses, execute shell commands, hold down 
modifiers and emulate a scroll wheel. 
The program was designed with Tablet PCs in mind and can be used 
effectively even without access to a keyboard. Easystroke tries to 
provide an intuitive and efficient user interface, while at the same 
time being highly configurable and offering many advanced features. 

%prep
%setup -q
# fix PREFIX
sed -i -e 's:/usr/local:%{_prefix}:' Makefile

%build
%make	CXX="g++ %{optflags}" \
	CC="gcc -std=c99 %{optflags}" \
	LDFLAGS="%{ldflags}"

# man page
make man

%install
%makeinstall_std

# man page install
install -D -m644 %{name}.1 %{buildroot}%{_mandir}/man1/%{name}.1

%find_lang %{name}

%files -f %{name}.lang
%doc LICENSE changelog
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
%{_mandir}/man1/%{name}*


%changelog

* Mon Nov 28 2011 fwang <fwang> 0.5.5.1-2.mga2
+ Revision: 173555
- rebuild for new boost

* Sat Sep 24 2011 stormi <stormi> 0.5.5.1-1.mga2
+ Revision: 147557
- new version 0.5.5.1

  + fwang <fwang>
    - br xserver
    - rebuild for new boost

* Wed Jun 22 2011 fwang <fwang> 0.5.4-2.mga2
+ Revision: 111875
- rebuild for new boost

* Fri Mar 11 2011 stormi <stormi> 0.5.4-1.mga1
+ Revision: 68085
- new version 0.5.4

* Fri Mar 11 2011 stormi <stormi> 0.5.3-2.mga1
+ Revision: 68066
- imported package easystroke

